body {
    background-color: #ffffff;
    color: #515151;
    font-weight: 700;
    height: 100vh;
}

.container-fluid {
    padding: 0;
}

.pagecontainer {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: calc(100vh - 3.5rem);
}

/* font */
.section2Font {
    font-size: 2rem;
    font-weight: 900;
    color: #8631c6;
}

.section3Font {
    font-size: 1.125rem;
}

.section4Font {
    font-size: 1.5rem;
    color: #8631c6;
}

.section5Font {
    font-size: 2rem;
    color: #8631c6;
    padding-top: 0.6rem;
}

.section7Font {
    font-size: 0.85rem;
    font-weight: normal;
}

/* 導覽列 */
.navbar {
    background-color: #ebebeb !important;
    padding: 0 22.5rem;
    margin: 0 auto;
}

.navbar-nav {
    font-size: 1rem;
    font-weight: 900;
    display: flex;
    align-items: center;
}

.navbar-nav .nav-item .nav-link {
    position: relative;
    padding-right: 1rem;
    padding-left: 1rem;
}

.navbar-nav .nav-item button {
    margin-left: 1rem;
}

.navbar-nav .nav-item .nav-link::after {
    content: '';
    position: absolute;
    width: 0;
    height: 4px;
    bottom: 0;
    left: 50%;
    background-color: #8631c6;
    transform: translateX(-50%);
    transition: width 0.35s ease-in-out;
}

.navbar-nav .nav-item .nav-link.active::after,
.navbar-nav .nav-item .nav-link:hover::after {
    width: calc(100% - 1rem);
}

.navbar-btn {
    min-width: 4.75rem !important;
    height: 1.75rem;
    font-size: 0.875rem;
    display: flex;
    align-items: center;
}

.navbar-toggler-icon {
    background-image: none !important;
    background-color: var(--bs-gray-800);
    height: 3px;
    width: 25px;
    margin: 10px 0;
    position: relative;
    transition: all 0.35s ease-out;
    transform-origin: center;
}

.navbar-toggler-icon::before {
    display: block;
    background-color: var(--bs-gray-800);
    height: 3px;
    content: "";
    position: relative;
    top: -7px;
    transition: all 0.15s ease-out;
    /*taken down to hide quicker*/
    transform-origin: center;
}

.navbar-toggler-icon::after {
    display: block;
    background-color: var(--bs-gray-800);
    height: 3px;
    content: "";
    position: relative;
    top: 4px;
    transition: all 0.35s ease-out;
    transform-origin: center;
}

.navbar-dark .navbar-toggler-icon,
.navbar-dark .navbar-toggler-icon::before,
.navbar-dark .navbar-toggler-icon::after {
    background-color: var(--bs-gray-100);
}

.navbar-toggler:not(.collapsed) .navbar-toggler-icon {
    transform: rotate(45deg);
}

.navbar-toggler:not(.collapsed) .navbar-toggler-icon::before {
    opacity: 0;
}

.navbar-toggler:not(.collapsed) .navbar-toggler-icon::after {
    transform: rotate(-90deg) translateX(7px);
}

/* table */
.table {
    table-layout: fixed;
    border-right-color: transparent;
}

.table th {
    overflow: visible;
    position: relative;
}

.table-reversed>thead>tr>th:first-child {
    border-radius: inherit;
    border-top-left-radius: 10px;
}

.table-reversed>tbody>tr:nth-of-type(4)>td {
    border-radius: inherit;
    border-bottom-left-radius: 4px;
}

.table-reversed>thead>tr>th,
.table-reversed>tbody>tr:nth-child(even)>td,
.table-reversed>tbody>tr:nth-child(even)>th {
    background-color: #f5f5f5;
}

.table-reversed>thead>tr>th:nth-child(2),
.table-reversed>tbody>tr>td:nth-child(2),
.table-reversed>tbody>tr:first-of-type>td:nth-child(3) {
    color: #515151
}

.table-reversed>tbody>tr:not(:first-of-type)>td:nth-child(3) {
    color: var(--system-color);
}

/* 幻燈片 */

.carousel-indicators li::marker {
    content: none;
}

.carousel {
    max-height: calc(85vh - 0.2rem);
    overflow: hidden;
}

.carousel-item img {
    width: 100%;
    height: auto;
    max-height: calc(85vh - 0.2rem);
    object-fit: cover;
}

/* control section width */

.info-section2,
.info-section3,
.info-section4,
.info-section5,
.info-section6,
.info-section7,
.info-section9 {
    padding: 1.5rem 22.5rem;
}

@media (min-width: 1401px) and (max-width: 1600px) {
    .navbar {
        padding: 0 20rem;
        margin: 0 auto;
    }
}

/* @media for navbar */
/* 大於 1280px */
@media (min-width: 1200px) and (max-width:1400px) {
    .navbar {
        padding: 0 12rem;
        margin: 0 auto;
    }
}


/* 901px 到 1280px */
@media (min-width: 940px) and (max-width: 1200px) {
    .navbar {
        padding: 0 7rem;
    }

    .navbar-btn {
        min-width: 4.5rem !important;
        height: 1.3rem;
        font-size: 0.8rem;
    }
}

/* 776px 到 900px */
@media (min-width: 777px) and (max-width: 939.9px) {
    .navbar {
        padding: 0 2rem;
    }

    .navbar-btn {
        min-width: 3.5rem !important;
        height: 1.1rem;
        font-size: 0.7rem;
    }
}

/* 577px 到 775px */
@media (min-width: 577px) and (max-width: 776px) {
    .navbar {
        padding: 0 1rem;
    }

    .navbar-btn {
        min-width: 3rem !important;
        height: 1rem;
        font-size: 0.6rem;
    }
}

/* 小於 576px */
@media (max-width: 576px) {
    .navbar {
        padding: 0 1rem !important;
    }


    .navbar-btn {
        min-width: 2rem !important;
        height: 1rem;
        font-size: 0.5rem;
    }
}

/* modal */

.modal {
    border: 1px solid #f5f5f5;
}

.modal-content {
    background-color: #ffffff;
    height: calc(80vh - 1rem);
}

#videoModal .modal-content {
    height: calc(80vh - 3rem);
    margin: 0 auto;
}

#videoModal .modal-content .row {
    justify-content: center;
}

#videoModal .modal-content .modal-body #signupForm {
    height: 100%;
}

.compact-floating {
    height: auto;
}

.compact-floating > .form-control {
    height: 3rem;
    min-height: auto;
    padding: 0.4rem 0.75rem;
    font-size: 1rem;
    font-weight: 900;
    line-height: 1.2;
}

.compact-floating > label {
    padding: 0.35rem 0.75rem;
}

.row.g-3 {
    --bs-gutter-y: 0.1rem;
}

#signUpBtn {
    margin: 0 auto
}

@media (max-width: 1281px) {
    #videoModal .modal-content {
        height: 100%;
    }

    .compact-floating > .form-control {
        height: 2.5rem;
        padding: 0.35rem 0.65rem;
    }
    
    .compact-floating > label {
        padding: 0.3rem 0.65rem;
        font-size: 0.85rem;
    }

    .form-check-label {
        font-size: 0.85rem;
    }

    .row.g-3 {
        --bs-gutter-y: 0.1rem;
    }
}


.modal-header {
    padding-bottom: 10px;
    font-size: 1.5rem;
    font-weight: 900;
}

.modal-body {
    font-size: 1rem;
}

/* #newsImage {
    width: 70%;
    height: auto;
} */

.overlay-scrollbar::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.4);
    /* background-color: var(--scrollbar-background); */
    border-radius: 10rem;
    /* border: 1px solid var(--main-bg-color); */
    border: 1px solid #ffffff;
}

.advantages,
.disadvantages,
.right-content {
    font-size: 1rem;
}

.cveFont {
    padding: 0;
}

.text-overlay-1 .targetStyle1,
.text-overlay-2 .targetStyle2,
.text-overlay-3 .targetStyle3 {
    left: -6rem;
}

.text-overlay-Text {
    padding-left: 0.5rem;
}

.form-floating-sm {
    height: auto;
}

.form-floating > .form-control:not(:placeholder-shown) ~ label::after {
    height: unset;
}


